#-----------------------------------------------------
# class Window_Album
# アルバムの一枚絵リストを表示するウィンドウクラス。
#-----------------------------------------------------

class Window_Album < Window_Selectable
  # 初期化
  def initialize(x, y, width, height)
    @list = []
    make_list
    super
  end
  # 行の高さ
  def line_height
    return 35
  end
  # 桁数の取得
  def col_max
    return 1
  end
  # 項目数の最大値の取得
  def item_max
    return Data_Album.number
  end
  # コマンドリストの作成
  def make_list
    @list = Data_Album.all
  end
  # 項目の描画
  def draw_item(index, rect_x, rect_y)
    draw_text(rect_x, rect_y, @list[index][:name])
  end
  # フォーカス中のパスを取得
  def item
    return $game_directory + '/data/img/objects/' + @list[@index][:path]
  end
  # カーソルを下に移動
  def cursor_down
    if row < row_max - 1
      select(@index + col_max)
    else
      select(0)
    end
  end
  # カーソルを上に移動
  def cursor_up
    if row + 1 > 1
      select(@index - col_max)
    else
      select(item_max)
    end
  end
  # カーソルを右に移動
  def cursor_right
    select(@index + page_row_max * col_max)
  end
  # カーソルを左に移動
  def cursor_left
    select(@index - page_row_max * col_max)
  end
  # ヘルプテキスト更新
  def update_help
    if @list.empty?
      @help_window.set_item(' ')
    else
      help = @list[@index][:dialogue][0] + "\n" + @list[@index][:dialogue][1] + "\n" + @list[@index][:dialogue][2]
      @help_window.set_item(help.nil? ? ' ' : help)
      unless @sprite.nil?
        if @list[@index][:path].include?("pis")
          pis = Pis.load($game_directory + '/data/img/objects/' + @list[@index][:path])
          @sprite.image = pis[0]
        else
          @sprite.image = Image.load($game_directory + '/data/img/objects/' + @list[@index][:path])
        end
      end
    end
  end
  # サムネイルスプライトの取得
  def set_thumb(sprite)
    @sprite = sprite
  end
  # 解放
  def dispose
    super
    @sprite.image.dispose unless @sprite.image.nil?
    @sprite.dispose
    @sprite.vanish
    @sprite = nil
    @list = nil
  end
end
