#-----------------------------------------------------
# class Window_MusicList
# ジュークボックス画面の曲リストを表示するウィンドウクラス。
#-----------------------------------------------------

class Window_MusicList < Window_Selectable
  # 初期化
  def initialize(x, y, width, height)
    @musiclist = []
    make_music_list
    super
  end
  # 行の高さ
  def line_height
    return 26
  end
  # 桁数の取得
  def col_max
    return 2
  end
  # カーソルの隙間
  def cursor_padding
    return 6
  end
  # 項目数の最大値の取得
  def item_max
    return Data_MusicList.number
  end
  # コマンドリストの作成
  def make_music_list
    @musiclist = []
    Data_MusicList.number.times{|i| @musiclist << Data_MusicList.name(i)}
  end
  # 項目の描画
  def draw_item(index, rect_x, rect_y)
    if index == 0
      draw_text(rect_x, rect_y, "デフォルトに戻す")
    else
      # 再生中の曲名を緑点灯
      if $system.on_juke[:play] == index
        draw_text(rect_x, rect_y, sprintf("\\C[3]%02d %s", index, @musiclist[index]))
      else
        draw_text(rect_x, rect_y, sprintf("%02d %s", index, @musiclist[index]))
      end
      # 戦闘設定状況を表示
      if $system.on_juke[:battle] == index
        draw_text(rect_x + 430, rect_y, "\\C[3]戦闘シミュ")
      end
      # 敗北設定状況を表示
      if $system.on_juke[:rec] == index
        draw_text(rect_x + 540, rect_y, "\\C[3]回想")
      end
    end
  end
  # フォーカス中の曲
  def item
    return @index
  end
  # カーソルを下に移動
  def cursor_down
    if row < row_max - 1
      select(@index + col_max)
    else
      select(0)
    end
  end
  # カーソルを上に移動
  def cursor_up
    if row + 1 > 1
      select(@index - col_max)
    else
      select(item_max)
    end
  end
  # 決定/キャンセル処理、お気に入りを追加
  def process_handling
    super
    return call_handler(:battle) if Key.push?(K_A)
    return call_handler(:rec) if Key.push?(K_S)
  end
  # ヘルプウィンドウの更新（ダミー）
  def update_help
  end
  # 解放
  def dispose
    @musiclist = nil
    super
  end
end
