#-----------------------------------------------------
# module Data_Album
# アルバム情報を管理するモジュール。
# ====================================================
# name:         名前(String)
# path:         ファイル名(String)
# dialogue:     セリフ(String)
# ====================================================
#-----------------------------------------------------

module Data_Album
  # アイテム参照基本処理
  def self.basic(id)
    image = nil
    f = open($game_directory + '/data/bin/album/%02d' % id + ".album")
    image = f.read
    f.close
    return image.split("\n")
  end
  # ミッションの総数を取得
  def self.number
    return Dir.glob('data/bin/album/*.album').count
  end
  # すべて取得
  def self.all
    list = []
    self.number.times{|i|
      data = self.basic(i)
      list << {name: data[0], path: data[1], dialogue: [data[2], data[3], data[4]]}
    }
    return list
  end
  # アイテムIDから名前を参照
  def self.name(id)
    return basic(id)[0]
  end
  # アイテムIDからファイル名を参照
  def self.path(id)
    return basic(id)[1]
  end
  # アイテムIDからセリフを参照
  def self.dialogue(id)
    log = basic(id)
    log.shift(2)
    return log
  end
end
